BEGIN;

LOAD DATA LOCAL INFILE 'test_data_user_clients.txt'
  INTO TABLE `user_clients`
--  CHARACTER SET 'iso-8859-1'
  FIELDS TERMINATED BY '\t' ENCLOSED BY '' ESCAPED BY '\\'
  LINES TERMINATED BY '\n' STARTING BY ''
  (`id`,`name`,`created`,`modified`)
  ;

LOAD DATA LOCAL INFILE 'test_data_users.txt'
  INTO TABLE `users`
--  CHARACTER SET 'iso-8859-1'
  FIELDS TERMINATED BY '\t' ENCLOSED BY '' ESCAPED BY '\\'
  LINES TERMINATED BY '\n' STARTING BY ''
  (`id`,`username`,`name`,`email_address`,`phone_number`,`password`,`active_account`,`campaign_admin`,`created`,`modified`,`user_client_id`)
  ;

LOAD DATA LOCAL INFILE 'test_data_campaigns.txt'
  INTO TABLE `campaigns`
--  CHARACTER SET 'iso-8859-1'
  FIELDS TERMINATED BY '\t' ENCLOSED BY '' ESCAPED BY '\\'
  LINES TERMINATED BY '\n' STARTING BY ''
  (`id`,`name`,`orderer`,`start_time`,`end_time`,`message_subject`,`message`,`target_amount`,`accomplished_amount`,`created`,`modified`,`user_client_id`)
  ;

LOAD DATA LOCAL INFILE 'test_data_campaigns_users.txt'
  INTO TABLE `campaigns_users`
--  CHARACTER SET 'iso-8859-1'
  FIELDS TERMINATED BY '\t' ENCLOSED BY '' ESCAPED BY '\\'
  LINES TERMINATED BY '\n' STARTING BY ''
  (`id`,`user_id`,`campaign_id`,`phone_number`,`email_address`,`target_amount`,`accomplished_amount`,`calls_per_day`,`calls_per_day_suggestion`,`created`,`modified`)
  ;

LOAD DATA LOCAL INFILE 'test_data_message_links.txt'
  INTO TABLE `message_links`
--  CHARACTER SET 'iso-8859-1'
  FIELDS TERMINATED BY '\t' ENCLOSED BY '' ESCAPED BY '\\'
  LINES TERMINATED BY '\n' STARTING BY ''
  (`id`,`target_url`,`target_url_text`,`beacon`,`created`,`modified`,`campaign_id`)
  ;

LOAD DATA LOCAL INFILE 'test_data_sales_arguments.txt'
  INTO TABLE `sales_arguments`
--  CHARACTER SET 'iso-8859-1'
  FIELDS TERMINATED BY '\t' ENCLOSED BY '' ESCAPED BY '\\'
  LINES TERMINATED BY '\n' STARTING BY ''
  (`id`,`argument`,`created`,`modified`,`campaign_id`)
  ;

LOAD DATA LOCAL INFILE 'test_data_target_clients.txt'
  INTO TABLE `target_clients`
--  CHARACTER SET 'iso-8859-1'
  FIELDS TERMINATED BY '\t' ENCLOSED BY '' ESCAPED BY '\\'
  LINES TERMINATED BY '\n' STARTING BY ''
  (`id`,`name`,`y_id`,`domain`,`exchange_number`,`address`,`email_address`,`homepage`,`inoa_id`,`created`,`modified`,`campaign_id`,`target_client_state_id`,`campaigns_user_id`)
  ;

LOAD DATA LOCAL INFILE 'test_data_classifications.txt'
  INTO TABLE `classifications`
--  CHARACTER SET 'iso-8859-1'
  FIELDS TERMINATED BY '\t' ENCLOSED BY '' ESCAPED BY '\\'
  LINES TERMINATED BY '\n' STARTING BY ''
  (`id`,`classification`,`created`,`modified`,`campaign_id`)
  ;

LOAD DATA LOCAL INFILE 'test_data_classifications_target_clients.txt'
  INTO TABLE `classifications_target_clients`
--  CHARACTER SET 'iso-8859-1'
  FIELDS TERMINATED BY '\t' ENCLOSED BY '' ESCAPED BY '\\'
  LINES TERMINATED BY '\n' STARTING BY ''
  (`target_client_id`,`classification_id`)
  ;

LOAD DATA LOCAL INFILE 'test_data_events.txt'
  INTO TABLE `events`
--  CHARACTER SET 'iso-8859-1'
  FIELDS TERMINATED BY '\t' ENCLOSED BY '' ESCAPED BY '\\'
  LINES TERMINATED BY '\n' STARTING BY ''
  (`id`,`start_time`,`end_time`,`contact_at`,`interest`,`comment`,`contact_name`,`contact_title`,`contact_phone_number`,`contact_email_address`,`created`,`modified`,`event_type_id`,`target_client_id`,`user_id`,`sales_argument_id`,`reason_no_interest_id`)
  ;

LOAD DATA LOCAL INFILE 'test_data_events_message_links.txt'
  INTO TABLE `events_message_links`
--  CHARACTER SET 'iso-8859-1'
  FIELDS TERMINATED BY '\t' ENCLOSED BY '' ESCAPED BY '\\'
  LINES TERMINATED BY '\n' STARTING BY ''
  (`id`,`event_count`,`message_link_id`,`user_event_id`,`target_client_event_id`)
  ;

LOAD DATA LOCAL INFILE 'test_data_profile_classes_users.txt'
  INTO TABLE `profile_classes_users`
--  CHARACTER SET 'iso-8859-1'
  FIELDS TERMINATED BY '\t' ENCLOSED BY '' ESCAPED BY '\\'
  LINES TERMINATED BY '\n' STARTING BY ''
  (`user_id`,`profile_class_id`,`profile_value`,`created`,`modified`)
  ;

LOAD DATA LOCAL INFILE 'test_data_encouragements.txt'
  INTO TABLE `encouragements`
--  CHARACTER SET 'iso-8859-1'
  FIELDS TERMINATED BY '\t' ENCLOSED BY '' ESCAPED BY '\\'
  LINES TERMINATED BY '\n' STARTING BY ''
  (`id`,`encouragement`,`created`,`modified`)
  ;

LOAD DATA LOCAL INFILE 'test_data_encouragements_profile_classes.txt'
  INTO TABLE `encouragements_profile_classes`
--  CHARACTER SET 'iso-8859-1'
  FIELDS TERMINATED BY '\t' ENCLOSED BY '' ESCAPED BY '\\'
  LINES TERMINATED BY '\n' STARTING BY ''
  (`encouragement_id`,`profile_class_id`)
  ;

COMMIT;
